- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::LinearResampler_Byte< channels > Struct Template Reference

`#include <OgreImageResampler.h>`

List of all members.

## Static Public Member Functions
static void | scale (const PixelBox &src, const PixelBox &dst)

## Detailed Description

### template<unsigned int channels>
struct Ogre::LinearResampler_Byte< channels >

Definition at line 287 of file OgreImageResampler.h.

## Member Function Documentation

template<unsigned int channels>

static void Ogre::LinearResampler_Byte< channels >::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst |
| ) |  |  | `[static]`

Definition at line 288 of file OgreImageResampler.h.

References Ogre::Box::bottom, Ogre::PixelBox::data, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelBox::getRowSkip(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::Box::right, Ogre::PixelBox::rowPitch, Ogre::LinearResampler::scale(), and Ogre::Box::top.

The documentation for this struct was generated from the following file:

- OgreImageResampler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:55:21 2008